SERVICE_NAME = "containers_cp"
SERVICE_TASK = "worker_test".freeze

require "bundler/setup"
require_relative "system/import"
Application.finalize!

# This will run as a Kubernetes cronjob to fix kubernetes_nodes DB records that are missing the related instance IDs

include ::ContainersCp::Processing::MissingInstanceRepair

@logger = Application["logger"]
@wavefront = Application["wavefront"]

@logger.info "Missing Instance Repair job starting..."
::Multidb.run_on_secondary_shards_in_parallel do |s|
  ::ContainersCp::Processing::MissingInstanceRepair.repair_aws_instances(s)
  ::ContainersCp::Processing::MissingInstanceRepair.repair_gcp_instances(s)
  ::ContainersCp::Processing::MissingInstanceRepair.repair_azure_instances(s)
end
@logger.info "Missing Instance Repair job completed."

