# frozen_string_literal: true

SERVICE_NAME = "containers_cp"
SERVICE_TASK = "system-monitor"

require "bundler/setup"
require_relative "system/import"
require "clockwork"
Application.finalize!

require "sidekiq/api"
require "monitoring-framework"

logger = Application["logger"]
alert = Application["alert"]
statsd = Application["statsd"]

begin
  CloudHealth::Monitoring::Sidekiq.new(logger, alert, statsd).run ::Clockwork.manager

  ::Clockwork.manager.run
rescue => ex
  logger.error "#{ex.class}: #{ex.message}"
  warn ex.backtrace
  alert.exception ex
end
